import cheerio from 'cheerio';

const sourcesTag = [
  {
    tag: 'script',
    src: 'src',
  },
  {
    tag: 'link',
    src: 'href',
  },
  {
    tag: 'img',
    src: 'src',
  }];

export default (html) => {
  const $ = cheerio.load(html);
  const links = [];
  sourcesTag.forEach((srcTag) => {
    $(srcTag.tag).each((i, element) => {
      const src = $(element).attr(srcTag.src);
      if (src) {
        links.push(src);
      }
    });
  });
  return links;
};
