import url from 'url';
import path from 'path';

const kebabCase = str =>
  str
    .replace(/\W*(.*)/g, '$1')
    .replace(/\W/g, '-');

export const urlToKebabCase = (page) => {
  const { hostname, pathname } = url.parse(page);
  const parse = path.parse(pathname);
  const pathWithoutExt = path.format({ ...parse, ext: '', base: '' });
  const str = kebabCase(url.format({ hostname, pathname: pathWithoutExt }));
  return `${str}${parse.ext}`;
};

export default { urlToKebabCase };
